General

How can we improve the ruby-ensembl-api?

You've used all your votes and won't be able to post a new idea, but you can still search and comment on existing ideas.

There are two ways to get more votes:

  • When an admin closes an idea you've voted on, you'll get your votes back from that idea.
  • You can remove your votes from an open idea you support.
  • To see ideas you have already voted on, select the "My feedback" filter and select "My open ideas".
(thinking…)

Enter your idea and we'll search to see if someone has already suggested it.

If a similar idea already exists, you can support and comment on it.

If it doesn't exist, you can post your idea so others can support it.

Enter your idea and we'll search to see if someone has already suggested it.

  1. Reference sequence patch

    Could be nice to implement the reference sequence patches (see http://www.ncbi.nlm.nih.gov/projects/genome/assembly/grc/info/patches.shtml)

    Cheers

    3 votes
    Vote
    Sign in
    Check!
    (thinking…)
    Reset
    or sign in with
    • facebook
    • google
      Password icon
      I agree to the terms of service
      Signed in as (Sign out)
      You have left! (?) (thinking…)
    • An error for installation

      Hi

      I'm sorry if this site is not suit for writing a question.
      Now I'm trying to use the "bio-ensembl" but not success to install.
      (I'm using centos7)

      If I use the ' require "ensembl ', I got an error message like followings.
      Could you give me an advise?

      Takeshi K

      [takeshik@localhost taxonomy]$ ruby -v
      ruby 2.0.0p598 (2014-11-13) [x86_64-linux]

      [takeshik@localhost taxonomy]$ gem install bio-ensembl
      Successfully installed bio-ensembl-1.1.0

      [takeshik@localhost taxonomy]$ ruby -e 'require "rubygems"; require "ensembl"'
      /home/takeshik/.gem/ruby/gems/ensembl-0.0.12/lib/ensembl.rb:8:in `read': No such file or directory - config/database.yml (Errno::ENOENT)
      from /home/takeshik/.gem/ruby/gems/ensembl-0.0.12/lib/ensembl.rb:8:in `<module:Ensembl>'
      from /home/takeshik/.gem/ruby/gems/ensembl-0.0.12/lib/ensembl.rb:6:in `<top (required)>'
      from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:135:in `require'
      from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:135:in `rescue in require' …

      1 vote
      Vote
      Sign in
      Check!
      (thinking…)
      Reset
      or sign in with
      • facebook
      • google
        Password icon
        I agree to the terms of service
        Signed in as (Sign out)
        You have left! (?) (thinking…)
        1 comment  ·  Admin →
      • Don't see your idea?

      General

      Feedback and Knowledge Base